Bug 25507 - PDF order print for German 2-pages is broken
Summary: PDF order print for German 2-pages is broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 12110
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-14 16:11 UTC by Katrin Fischer
Modified: 2020-11-30 21:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.12


Attachments
Bug 25507: Fix table in basket group PDF German 2-pages (1.67 KB, patch)
2020-05-22 23:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25507: Fix table in basket group PDF German 2-pages (1.71 KB, patch)
2020-06-10 08:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 25507: Fix table in basket group PDF German 2-pages (1.78 KB, patch)
2020-06-11 11:51 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-14 16:11:38 UTC
The table with order information is 'out of order' - the column headings don't match the content and it runs wider than the page width.

I am trying to see if maybe it's the changes from bug 18736 missing here.
Comment 1 Katrin Fischer 2020-05-14 16:20:32 UTC
Nope, it's Bug 12110: (follow-up) add French and German translation 

                $titleinfo. ($line->{order_vendornote} ? "\n----------------\nLieferantennotiz : ". $line->{order_vendornote} : '' ),                $line->{quantity},
                $line->{quantity},

We only need quantity once.
Comment 2 Katrin Fischer 2020-05-22 23:27:05 UTC
Created attachment 105295 [details] [review]
Bug 25507: Fix table in basket group PDF German 2-pages

A variable was doubled up which made the columns in the
table of orders no longer line up (different number of headers
to columns).

To test:
- Create at least one basket with one or more orders
- Close the basket
- Add the basket to a basket group manually or let Koha do it
  on closing
- Change the OrderPdfFormat system preference to 'German 2-page'
- Go to the basket group page and print the PDF of the basket
- Verify the table of orders doesn't look right and runs outside
  the page
- Apply patch
- Repeat the PDF print - now table should look right
Comment 3 David Nind 2020-06-10 08:39:12 UTC
Created attachment 105674 [details] [review]
Bug 25507: Fix table in basket group PDF German 2-pages

A variable was doubled up which made the columns in the
table of orders no longer line up (different number of headers
to columns).

To test:
- Create at least one basket with one or more orders
- Close the basket
- Add the basket to a basket group manually or let Koha do it
  on closing
- Change the OrderPdfFormat system preference to 'German 2-page'
- Go to the basket group page and print the PDF of the basket
- Verify the table of orders doesn't look right and runs outside
  the page
- Apply patch
- Repeat the PDF print - now table should look right

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2020-06-11 10:16:27 UTC
Thank you, David! The "German" fixes are a bit hard to get tested!
Comment 5 Martin Renvoize 2020-06-11 11:51:40 UTC
Created attachment 105738 [details] [review]
Bug 25507: Fix table in basket group PDF German 2-pages

A variable was doubled up which made the columns in the
table of orders no longer line up (different number of headers
to columns).

To test:
- Create at least one basket with one or more orders
- Close the basket
- Add the basket to a basket group manually or let Koha do it
  on closing
- Change the OrderPdfFormat system preference to 'German 2-page'
- Go to the basket group page and print the PDF of the basket
- Verify the table of orders doesn't look right and runs outside
  the page
- Apply patch
- Repeat the PDF print - now table should look right

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-06-11 11:52:06 UTC
Trivial fix that passes qa scripts, makes sense and passes local testing.

Passing QA
Comment 7 Jonathan Druart 2020-06-15 09:59:55 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-06-17 22:26:25 UTC
backported to 20.05.x for 20.05.01
Comment 9 Aleisha Amohia 2020-06-19 03:46:10 UTC
backported to 19.11.x for 19.11.07
Comment 10 Victor Grousset/tuxayo 2020-06-19 04:43:59 UTC
Backported to 19.05.x branch for 19.05.12
Comment 11 Katrin Fischer 2020-06-20 16:18:14 UTC
Thx all!